%define apiver %(echo %version | cut -d. -f1)
Name:          mlt
Version:       7.10.0
Release:       1mamba
Summary:       An open source multimedia framework, designed and developed for television broadcasting
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.mltframework.org
Source:        https://github.com/mltframework/mlt.git/v%{version}/mlt-%{version}.tar.bz2
Patch0:        %{name}-0.3.0-sox1420.patch
Patch1:        %{name}-0.3.8-ffmpeg-headers.patch
Patch2:        mlt-6.4.1-glibc-2.26.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libSDL-devel
BuildRequires: libSDL2-devel
BuildRequires: libX11-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavdevice-ffmpeg-devel
BuildRequires: libavfilter-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libebur128-devel
BuildRequires: libexif-devel
BuildRequires: libfftw-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjack-devel
BuildRequires: libpango-devel
BuildRequires: librtaudio-devel
BuildRequires: librubberband-devel
BuildRequires: libsamplerate-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswresample-ffmpeg-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: sox-devel
## AUTOBUILDREQ-END
BuildRequires: librtaudio-devel >= 5.0.0-1mamba
BuildRequires: ladspa-devel
BuildRequires: frei0r-plugins-devel
BuildRequires: sox-devel >= 14.4.2

%description
MLT is an open source multimedia framework, designed and developed for television broadcasting. It provides a toolkit for broadcasters, video editors, media players, transcoders, web streamers and many more types of applications. The functionality of the system is provided via an assortment of ready to use tools, xml authoring components, and an extendible plug-in based API.

%package -n lib%{name}
Summary:       An open source multimedia framework, designed and developed for television broadcasting
Group:         System/Libraries
Requires:      %{name} = %{version}-%{release}
Provides:      libmlt++
Obsoletes:     libmlt++ < 7.0.0

%description -n lib%{name}
MLT is an open source multimedia framework, designed and developed for television broadcasting. It provides a toolkit for broadcasters, video editors, media players, transcoders, web streamers and many more types of applications. The functionality of the system is provided via an assortment of ready to use tools, xml authoring components, and an extendible plug-in based API.
This package contains static files and headers used for development.

%package -n lib%{name}-devel
Summary:       An open source multimedia framework, designed and developed for television broadcasting
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      lib%{name} = %{version}-%{release}
Provides:      libmlt++-devel
Obsoletes:     libmlt++-devel < 7.0.0
Provides:      mlt-devel
Obsoletes:     mlt-devel < 7.0.0

%description -n lib%{name}-devel
MLT is an open source multimedia framework, designed and developed for television broadcasting. It provides a toolkit for broadcasters, video editors, media players, transcoders, web streamers and many more types of applications. The functionality of the system is provided via an assortment of ready to use tools, xml authoring components, and an extendible plug-in based API.
This package contains static files and headers used for development.

%debug_package

%prep
%setup -q
#%patch2 -p1

%build
%cmake -d build

%make

:<< __OLD
export KDEDIR=%{kdedir}
%configure \
   --enable-gpl \
   --enable-motion-est \
   --avformat-swscale \
   --qt-includedir=%{_qt5_headerdir} \
   --qt-libdir=%{_qt5_libdir} \
   --qimage-libdir=%{_qt5_libdir} \
   --qimage-includedir=%{_qt5_headerdir}

CFLAGS="-I%{_includedir}/ffmpeg" %make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/melt
%{_bindir}/melt-%{apiver}
%dir %{_datadir}/mlt-%{apiver}
%{_datadir}/mlt-%{apiver}/*
%{_mandir}/man1/melt-%{apiver}.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libmlt-%{apiver}.so.*
%{_libdir}/libmlt++-%{apiver}.so.*
%{_libdir}/mlt-%{apiver}/*.so
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/mlt-%{apiver}
%dir %{_includedir}/mlt-%{apiver}/framework
%{_includedir}/mlt-%{apiver}/framework/*.h
%dir %{_includedir}/mlt-%{apiver}/mlt++
%{_includedir}/mlt-%{apiver}/mlt++/*.h
%{_libdir}/libmlt-%{apiver}.so
%{_libdir}/libmlt++-%{apiver}.so
%{_libdir}/pkgconfig/mlt-framework-%{apiver}.pc
%{_libdir}/pkgconfig/mlt++-%{apiver}.pc
%dir %{_libdir}/cmake/Mlt7
%{_libdir}/cmake/Mlt7/Mlt7*.cmake

%changelog
* Wed Nov 02 2022 Automatic Build System <autodist@mambasoft.it> 7.10.0-1mamba
- automatic version update by autodist

* Thu Jun 23 2022 Automatic Build System <autodist@mambasoft.it> 7.8.0-1mamba
- automatic version update by autodist

* Wed Mar 30 2022 Automatic Build System <autodist@mambasoft.it> 7.6.0-1mamba
- automatic version update by autodist

* Tue Dec 21 2021 Automatic Build System <autodist@mambasoft.it> 7.4.0-1mamba
- automatic version update by autodist

* Tue Nov 02 2021 Automatic Build System <autodist@mambasoft.it> 7.2.0-1mamba
- automatic version update by autodist

* Wed May 19 2021 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Mon May 10 2021 Automatic Build System <autodist@mambasoft.it> 7.0.0-1mamba
- automatic version update by autodist

* Wed Apr 14 2021 Automatic Build System <autodist@mambasoft.it> 6.26.1-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 6.26.0-1mamba
- automatic version update by autodist

* Mon Dec 07 2020 Automatic Build System <autodist@mambasoft.it> 6.24.0-1mamba
- automatic version update by autodist

* Sun Aug 02 2020 Automatic Build System <autodist@mambasoft.it> 6.22.1-1mamba
- automatic version update by autodist

* Sat Aug 01 2020 Automatic Build System <autodist@mambasoft.it> 6.22.0-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 6.20.0-1mamba
- automatic version update by autodist

* Tue Nov 12 2019 Automatic Build System <autodist@mambasoft.it> 6.18.0-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 6.16.0-1mamba
- automatic version update by autodist

* Sun Mar 31 2019 Automatic Build System <autodist@mambasoft.it> 6.14.0-1mamba
- automatic version update by autodist

* Tue Nov 27 2018 Automatic Build System <autodist@mambasoft.it> 6.12.0-1mamba
- automatic version update by autodist

* Tue Jul 03 2018 Automatic Build System <autodist@mambasoft.it> 6.10.0-1mamba
- automatic version update by autodist

* Fri May 11 2018 Automatic Build System <autodist@mambasoft.it> 6.8.0-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 6.6.0-1mamba
- automatic version update by autodist

* Mon Nov 27 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.1-3mamba
- rebuilt by autoport with build requirements: librtaudio-devel>=5.0.0-1mamba

* Tue Oct 24 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.1-2mamba
- added patch to fix devel with glibc 2.26 (xlocale.h removed)

* Wed Nov 16 2016 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Tue Nov 15 2016 Automatic Build System <autodist@mambasoft.it> 6.4.0-1mamba
- automatic version update by autodist

* Thu Apr 21 2016 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Mon Mar 07 2016 Automatic Build System <autodist@mambasoft.it> 6.0.0-1mamba
- automatic version update by autodist

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.8-1mamba
- update to 0.9.8

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-3mamba
- rebuilt with qt5 to fix kdenlive 15.04.3 crash

* Thu Mar 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.6-2mamba
- rebuilt with sox 14.4.2

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 0.9.6-1mamba
- automatic version update by autodist

* Thu Feb 19 2015 Automatic Build System <autodist@mambasoft.it> 0.9.4-1mamba
- automatic version update by autodist

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 0.9.2-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Thu Feb 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-3mamba
- really rebuilt with sox 14.4

* Thu Feb 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-2mamba
- rebuilt with sox 14.4

* Fri Feb 01 2013 Automatic Build System <autodist@mambasoft.it> 0.8.8-1mamba
- automatic version update by autodist

* Fri May 18 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.7.8-1mamba
- update to 0.7.8

* Thu Jul 28 2011 Automatic Build System <autodist@mambasoft.it> 0.7.4-1mamba
- automatic update by autodist

* Sat Jun 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.2-1mamba
- update to 0.7.2

* Wed Jun 30 2010 Automatic Build System <autodist@mambasoft.it> 0.4.10-3mamba
- automatic rebuild by autodist

* Wed Jun 09 2010 Automatic Build System <autodist@mambasoft.it> 0.4.10-2mamba
- automatic rebuild by autodist

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 0.4.10-1mamba
- automatic update by autodist

* Mon Dec 07 2009 Automatic Build System <autodist@mambasoft.it> 0.4.6-1mamba
- update to 0.4.6

* Mon Jul 13 2009 Automatic Build System <autodist@mambasoft.it> 0.4.4-1mamba
- automatic update by autodist

* Sat May 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.8-1mamba
- update to 0.3.8
- added configure option --avformat-swscale (http://bugs.archlinux.org/task/8531)

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.6-1mamba
- automatic update by autodist

* Wed Dec 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.2-2mamba
- automatic rebuild by autodist

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.2-1mamba
- update to 0.3.2

* Wed Nov 19 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-3mamba
- automatic rebuild by autodist

* Mon Jun 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-2mamba
- rebuilt against updated libdc1394

* Wed Apr 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.5-1mamba
- update to 0.2.5 (svn20080402)

* Mon Mar 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.4-1mamba
- package created by autospec
